# $Id: mplayer.spec,v 1.16 2002/09/06 08:36:48 dude Exp $

# The default font size for subtitles : 14, 18, 24 or 28
%define fontsize	18

# Default font encoding, you may easily change to iso-8859-2 if needed
%define	fontdir		iso-8859-1

# Is this a daily build? If so, put the date like "20020808" otherwise put 0
%define	date		0

Summary: MPlayer, the Movie Player for Linux.
Name: mplayer
Version: 0.90pre8
Release: fr1
Epoch: 1
License: GPL
Group: Applications/Multimedia
%if %{date}
Source0: http://www2.mplayerhq.hu/MPlayer/cvs/MPlayer-current.tar.bz2
%else
Source0: http://www2.mplayerhq.hu/MPlayer/cvs/MPlayer-%{version}.tar.bz2
%endif
Source1: http://www2.mplayerhq.hu/MPlayer/Skin/default.tar.bz2
Source2: http://www2.mplayerhq.hu/MPlayer/releases/mp-arial-iso-8859-1.zip
Source3: http://www2.mplayerhq.hu/MPlayer/releases/mp-arial-iso-8859-2.zip
URL: http://mplayerhq.hu/
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: libdvdread, libdvdcss, gtk+, SDL, divx4linux
Requires: lame, libvorbis, lirc, libdv, aalib, arts
BuildRequires: libdvdread-devel, gtk+-devel, SDL-devel, divx4linux
BuildRequires: lame-devel, libvorbis-devel, lirc, libdv-devel
BuildRequires: aalib-devel, arts-devel
BuildRequires: /usr/bin/find, unzip

%description
MPlayer is a movie player. It plays most MPEG, VOB, AVI, VIVO, ASF/WMV, QT/MOV,
FLI, NuppelVideo, yuv4mpeg, FILM, RoQ, OGG and some RealMedia files, supported
by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD, SVCD, DVD,
3ivx, FLI, and even DivX movies too (and you don't need the avifile library at
all!). The another big feature of mplayer is the wide range of supported output
drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, but you can
use SDL (and this way all drivers of SDL), VESA (on every VESA compatible card,
even without X!), and some lowlevel card-specific drivers (for Matrox, 3Dfx and
Radeon) too! Most of them supports software or hardware scaling, so you can
enjoy movies in fullscreen. MPlayer supports displaying through some hardware
MPEG decoder boards, such as the DVB and DXR3/Hollywood+ ! And what about the
nice big antialiased shaded subtitles (9 supported types!!!)

%prep
%if %{date}
%setup -q -n MPlayer-%{date}
%else
%setup -q -n MPlayer-%{version}
%endif

%build
find . -name "CVS" | xargs rm -rf
CFLAGS="%{optflags}" ./configure \
	--target=%{_target_platform} \
	--prefix=%{_prefix} \
	--datadir=%{_datadir}/mplayer \
	--confdir=%{_sysconfdir}/mplayer \
	--enable-largefiles \
	--enable-gui \
	--enable-win32 \
	--enable-joystick \
	--enable-i18n \
	--enable-runtime-cpudetection \
	--disable-gcc-checking \
	--disable-alsa << EOF
EOF
make %{?_smp_mflags:%{_smp_mflags}}

%install
rm -rf %{buildroot}
make install \
	BINDIR=%{buildroot}%{_bindir} \
	LIBDIR=%{buildroot}%{_libdir} \
	DATADIR=%{buildroot}%{_datadir}/mplayer \
	CONFDIR=%{buildroot}%{_sysconfdir}/mplayer \
	MANDIR=%{buildroot}%{_mandir}

# The Skins (well, only one left, others are in mplayer-skins now)
mkdir -p %{buildroot}%{_datadir}/mplayer/Skin
pushd %{buildroot}%{_datadir}/mplayer/Skin
	for skin in %{SOURCE1}
	do
		tar -x -j -f ${skin}
	done
popd

# The font for the subtitles
pushd %{buildroot}%{_datadir}/mplayer
	rmdir font || :
	unzip %{SOURCE2}
	unzip %{SOURCE3}
	ln -s -f %{fontdir}/arial-%{fontsize} font
popd

# The icon used in the menu entry
install -D -m 644 Gui/mplayer/pixmaps/logo.xpm \
	%{buildroot}%{_datadir}/pixmaps/mplayer-logo.xpm

# Last, add system menu entries!
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/mplayer.desktop << EOF
[Desktop Entry]
Name=MPlayer
Comment=%{summary}
Icon=mplayer-logo.xpm
Exec=gmplayer %f
Terminal=0
MimeType=video/mpeg;video/x-msvideo;video/quicktime
Type=Application
EOF

cat > %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/mplayerdvd.desktop << EOF
[Desktop Entry]
Name=MPlayer DVD
Comment=%{summary}
Icon=mplayer-logo.xpm
Exec=gmplayer -dvd 1
Terminal=0
MimeType=
Type=Application
EOF

%pre
# We have a link... some have an empty dir, this fixes it!
[ -d %{_datadir}/mplayer/font ] && \
	rmdir %{_datadir}/mplayer/font 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc AUTHORS ChangeLog DOCS/ README etc/*.conf
%{_sysconfdir}/X11/applnk/Multimedia/mplayer*.desktop
%dir %{_sysconfdir}/mplayer
%config %{_sysconfdir}/mplayer/codecs.conf
%{_prefix}/bin/*
%{_libdir}/*
%{_datadir}/mplayer
%{_datadir}/pixmaps/mplayer-logo.xpm
%{_mandir}/man1/*

%changelog
* Fri Sep 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre8.
- Added some files to the %%doc section.

* Thu Sep  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre7.
- Removed obsolete prefix.
- Explicitely disable ALSA for now.

* Mon Aug 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt with libdvdnav... but removed, just too experimental :-(
- Added direct DVD menu entry.

* Mon Aug 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added arts dependency.

* Tue Aug  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre6.
- Added aalib and lirc build dependencies to get a full-featured binary.
- Updated %%description.
- Added iso-8859-2 font in the package.
- Cleaned up old unuseful hacks.

* Mon Jun 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre5.

* Tue May 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre4.
- Overwrite the absolute link for the mencoder.1 man page.

* Sat May 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the mime types for the menu entry.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added CFLAGS for configure and i18n.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre2.
- Fixed the libGLcore.so.1 and lirc dependencies.
- Build with gcc 2.96 instead of gcc3.

* Fri Apr 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre1, fully GPL at last! Here come the binary packages :-)

* Fri Feb  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's current version.
- Added 3 skins + removed workaround since skin archives are fixed.

* Wed Jan  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- %doc cleanup and update to today's build.
- Modified for the new CONFDIR stuff.

* Wed Dec 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

